oracle.dbtools.plugin.api.json

## Enum JSONToken.Type

- java.lang.Object
- - java.lang.Enum<JSONToken.Type>
  - - oracle.dbtools.plugin.api.json.JSONToken.Type

- All Implemented Interfaces:
    Serializable, Comparable<JSONToken.Type>
  Enclosing interface:
    JSONToken

      public static enum JSONToken.Type
      extends Enum<JSONToken.Type>

  Enumerates the different kinds of tokens that occur in a JSON stream
  Author:
    cdivilly

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN_VALUE` A `true` or `false` value.
    `END_ARRAY` The end of an array, denoted by the `]` character.
    `END_OBJECT` The end of an object, denoted by the `}` character.
    `NULL_VALUE` A null value, represented by the `null` token.
    `NUMERIC_VALUE` A numeric value, starts with a digit, contains only digits or the period character and is not quoted.
    `PROPERTY_NAME` The name of a property, can be any string, the value is quoted and escaped.
    `START_ARRAY` The start of an array denoted by the `[` character.
    `START_OBJECT` The start of an object denoted by the `{` character.
    `STRING_VALUE` A textual value, can be any string, the value is quoted and escaped.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JSONToken.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JSONToken.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN_VALUE

          public static final JSONToken.Type BOOLEAN_VALUE

      A `true` or `false` value.

    - #### END_ARRAY

          public static final JSONToken.Type END_ARRAY

      The end of an array, denoted by the `]` character.

    - #### END_OBJECT

          public static final JSONToken.Type END_OBJECT

      The end of an object, denoted by the `}` character.

    - #### NULL_VALUE

          public static final JSONToken.Type NULL_VALUE

      A null value, represented by the `null` token.

    - #### NUMERIC_VALUE

          public static final JSONToken.Type NUMERIC_VALUE

      A numeric value, starts with a digit, contains only digits or the period character and is not quoted.

    - #### PROPERTY_NAME

          public static final JSONToken.Type PROPERTY_NAME

      The name of a property, can be any string, the value is quoted and escaped. It is followed by the `:` character.

    - #### START_ARRAY

          public static final JSONToken.Type START_ARRAY

      The start of an array denoted by the `[` character.

    - #### START_OBJECT

          public static final JSONToken.Type START_OBJECT

      The start of an object denoted by the `{` character.

    - #### STRING_VALUE

          public static final JSONToken.Type STRING_VALUE

      A textual value, can be any string, the value is quoted and escaped.

  - ### Method Detail

    - #### values

          public static JSONToken.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JSONToken.Type c : JSONToken.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JSONToken.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010, 2022, Oracle and/or its affiliates.